FASTFETCH(1)

NAME
fastfetch - a neofetch-like tool for fetching system information and displaying them in a pretty way

SYNOPSIS
fastfetch [options...]

DESCRIPTION
Fastfetch is a neofetch-like tool for fetching system information and displaying them in a pretty way. It is written mainly in C, with performance and customizability in mind. Currently, Linux, Android, FreeBSD, MacOS and Windows 7+ are supported.

EXIT STATUS
On successful execution, fastfetch returns zero. If any error happened, the exit code will be non-zero.

OPTIONS

  Informative Options

-h, --help  [command]
    Show help output, displaying all available options or help for given command

-v, --version
    Show version of fastfetch

--list-config-paths
    List search paths of config files

--list-data-paths
    List search paths of presets and logos

--list-logos
    List available logos, they can be loaded with --logo

--list-modules
    List available modules

--list-presets
    List available presets, they can be loaded with --config

--list-features
    List the supported features fastfetch was compiled with

--print-logos
    Print available logos

--print-structure
    Print the default structure

  Display Options

-l, --logo  <logo>
    Set the logo to display

-s, --structure  <structure>
    Set the structure of the fetch. For details about the structure, see the CONFIGURATION section.

  Config Options

-c, --config  <config>
    Use the specified config file or preset. If "none", disable further config loading. For details about config files, see the CONFIGURATION section

--gen-config  [file]
    Generate a config file with options specified on the command line. If file is specified, the configuration will written to the file, otherwise it will be written to stdout.

--gen-config-force  [file]
    Same as --gen-config, but overwrites existing config

To list all options, use  --help this will also print all available module options.

CONFIGURATION

  Fetch Structure
The structure of a fetch describes the modules that should be included in the output. It consists of a string of modules, separated by a colon (:). To list all available modules, use --list-modules

  Config Files
fastfetch supports two types of config files. The legacy configuration files and a JSONC based format. A JSONC config file is a JSON file that also supports comments with (//). Those files must have the extension '.jsonc'. You can migrate a legacy config file to the JSONC format by using --gen-config. The specified configuration/preset files are searched in the following order: 1. relative to the current working directory 2. relative to ~/.local/share/fastfetch/presets/ 3. relative to /usr/share/fastfetch/presets/ When both a '.jsonc' and a '.conf' file with the same name is found, the '.jsonc' file is preferred. Fastfetch provides some default presets. List them with --print-available-presets.

SEE ALSO
neofetch(1)

BUGS
Please report bugs to: https://github.com/fastfetch-cli/fastfetch/issues